/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of 
   this tool. It is released under the GPL license. All questions and 
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */

#include "conn.h"
#include "constants.h"

unsigned long conn_hash1(struct conn_key* k, unsigned long size)
{
  if (k)
    /* Here we just hash sum of fields */
    return (k->ip1 % size + k->ip2 % size
	    + k->port1 + k->port2) % size;
  else
    return FALSE;
}

unsigned long conn_hash2(unsigned long trial, struct conn_key* k, unsigned long size)
{

  /* Here we just hash sum of fields */
  return (1+(trial % (size-1) + conn_hash1(k,size))%(size-1));
}

/* Hash related functions we need to define */
int conn_clean(struct conn_data* data)
{
  return FALSE;
}

int conn_compare(struct conn_key* k1, struct conn_key* k2)
{
  if (k1 == NULL || k2 == NULL)
    return FALSE;
  if (k1->ip1 == k2->ip1 &&
      k1->ip2 == k2->ip2 &&
      k1->port1 == k2->port1 &&
      k1->port2 == k2->port2)
    {
      return TRUE;
    }
  else
    {
      return FALSE;
    }
}




