/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of 
   this tool. It is released under the GPL license. All questions and 
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */

#ifndef __CONN_H
#define __CONN_H

#include "customize.h"
#include "dest.h"

struct conn_key{
  unsigned int ip1;
  unsigned int ip2;
  unsigned short port1;
  unsigned short port2;
};

struct conn_data{
  unsigned int firstseqnum;
  unsigned int lastseqnum;
  unsigned char legitimate;
  int sent;
  int received;
  char protocol;
  int normal;
  int retransmissions;
  int handshake;
  int nooffragmented;
  int oop;
  double lasttimestamp;
  int bytessent;
  char oneway;
  char onewaystate;
 };


unsigned long conn_hash1(struct conn_key* k, unsigned long size);
unsigned long conn_hash2(unsigned long trial, struct conn_key* k, unsigned long size);
int conn_clean(struct conn_data* data);
int conn_compare(struct conn_key* k1, struct conn_key* k2);


#endif
