/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of
   this tool. It is released under the GPL license. All questions and
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */

#include <stdlib.h>

#ifndef __CONSTANTS_H
#define __CONSTANTS_H

#define FALSE 0
#define TRUE 1
#define EMPTY 0
#define VALID 1
#define DELETED 2
#define NOT_FOUND -1
#define NOT_VALID -1

#define FULL_ALERT_LF 0.9
#define NO_OF_ATTACKS 11

#define MIN_CONNECTION_LIMIT 200
#define INIT_SEQ_NUM 32
#define MAX_SEQ_DIFF 5000000
#define MAX_RETRANSMISSIONS 100
#define ICMP_MAX_RTO 2
#define TCP_MAX_RTO 3
#define UDP_MAX_RTO 2
#define SEQ_DECREMENT 1000
#define MAX_FRAG_RATE 0.0025

/* Define table sizes */
#define CONN_TABLE_SIZE 4000037
#define DEST_TABLE_SIZE 4000037

#define ALPHA 0.7
#define BETA 0.5
#define SYN_SYNACK_DIFF 10
#define MAX_SYN_RTO 2

enum atype {NO_ATTACK, TOO_MANY_MISMATCHES, TCP_RTO_TOO_BIG, 
	    SYN_FLOOD, MALFORMED, 
	    NONEXISTING_PROTO, PRIVATE_IP, UDP_FLOOD, ICMP_FLOOD, 
	    TOO_MANY_FRAGS, NO_TCP_FLAG};

#define LOW_PROTO 135
#define HIGH_PROTO 255

#define NUM_SPOOFING 4
enum spooftype {NO_SPOOFING, RANDOM_SPOOFING, SUBNET_SPOOFING, PRIVATE_SPOOFING};

#define MIN_PACKETS 3

enum ptype {TCP = 6, UDP=17, ICMP=1};
#define NUM_PROTOCOLS 4
#define TCPI 0
#define UDPI 1
#define ICMPI 2
#define OTHERI 3

#define NUM_OCTETS 4
#define NUM_ADDRESSES 256

#define CONN_STALE 60
#define STALE_PERIOD 20

#define MAX_VICTIMS 100000
#define INIT_NP 100
#define MAX_NAME 40
#define MAX_ALERTS 200000
#define MIN_ALERTS 100
#define MAX_ADDRESS 20
#define MAX_TRACE 1000
#define NUM_PORTS 65536
#define MIN_TRACE_PACKETS 100
#define MAX_DRIFT 10
#define MIN_PPS 3
#define MAX_TCP_PPS 0.3
#define MAX_ICMP_PPS 2
#define MAX_SOURCES 1000000
#define MIN_DURATION 10
#define MIN_PPH 100
#define SIM_THRESH 0.8
#endif
