/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of
   this tool. It is released under the GPL license. All questions and
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */


#ifndef __DEST_H
#define __DEST_H

#include "customize.h"
#include "constants.h"

struct dest_key{
  unsigned long ip;
};

struct dest_data{
  int stoprate;
  int synreceived;
  int synsent;
  int synacksent;
  int synackreceived;
  int bytesreceivedarray[NUM_PROTOCOLS][2*WSIZE];
  int packetssent[NUM_PROTOCOLS];
  int packetsreceived[NUM_PROTOCOLS];
  int bytessent[NUM_PROTOCOLS];
  int bytesreceived[NUM_PROTOCOLS];
  double synrto;
  int victimtype[NO_OF_ATTACKS];
  unsigned char* sourcearray;
  enum spooftype  spoofingtype;
  float synsentratio;
  float synackratio;
  double lasttimestamp;
  double icmprto;
  double tcprto;
};

int dest_clean(struct dest_data* data);
int dest_compare(unsigned int* k1, unsigned int* k2);
unsigned long dest_hash1(unsigned int* k, unsigned long size);
unsigned long dest_hash2(unsigned long trial, unsigned int* k, unsigned long size);

#endif
