/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of
   this tool. It is released under the GPL license. All questions and
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */

#include "pair.h"
#include "constants.h"

unsigned long pair_hash1(struct pair_key* k, unsigned long size)
{
  if (k)
    /* Here we just hash sum of fields */
    return (k->ip1 % size + k->ip2 % size) % size;
  else
    return FALSE;
}

unsigned long pair_hash2(unsigned long trial, struct pair_key* k, unsigned long size)
{

  /* Here we just hash sum of fields */
  return (1+(trial % (size-1) + pair_hash1(k,size))%(size-1));
}

/* Hash related functions we need to define */
int pair_clean(struct pair_data* data)
{
  return FALSE;
}

int pair_compare(struct pair_key* k1, struct pair_key* k2)
{
  if (k1 == NULL || k2 == NULL)
    return FALSE;
  if (k1->ip1 == k2->ip1 &&
      k1->ip2 == k2->ip2)
    {
      return TRUE;
    }
  else
    {
      return FALSE;
    }
}




