/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of
   this tool. It is released under the GPL license. All questions and
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */

#ifndef __SDEST_H
#define __SDEST_H

#include "customize.h"
#include "constants.h"

#define NUM_HOSTS 32

struct sdest_key{
  unsigned long ip;
};

struct sdest_data{
  int ttl;
  int drift;
  int packets;
  double start;
  double stop;
  int isAg;
  unsigned int IP;
  double similarity;
};

int sdest_clean(struct sdest_data* data);
int sdest_compare(unsigned int* k1, unsigned int* k2);
unsigned long sdest_hash1(unsigned int* k, unsigned long size);
unsigned long sdest_hash2(unsigned long trial, unsigned int* k, unsigned long size);

#endif
