/* This tool was developed at the University of Delaware and is publicly
   available for academic and non-commercial use. University of Delaware
   assumes no responsibility for consequences arising from the use of
   this tool. It is released under the GPL license. All questions and
   feedback should be directed to Jelena Mirkovic <sunshine@cis.udel.edu> */

#ifndef __TRACE_H
#define __TRACE_H

#include <pcap.h>

struct packet{
  const struct pcap_pkthdr *hdr; 
  const u_char* packet;
};

struct trace{
  unsigned int victim;
  struct packet* packets;
  int np;
  int proto;
  int noflag;
  int syn;
  int malformed;
  int frag;
  int limit;
  double last_time;
  double start_time;
};

struct alert{
  double time;
  unsigned int victim;
  int attacktype;
};

#endif
